Loading...
Searching...
No Matches
mdds::point_quad_tree< _Key, _Value >::node_access Class Reference

`#include <point_quad_tree.hpp>`

## Public Member Functions

node_access | northeast () const
node_access | northwest () const
node_access | southeast () const
node_access | southwest () const
value_type | data () const
key_type | x () const
key_type | y () const
| operator bool () const
bool | operator== (const node_access &r) const

## Friends

class | point_quad_tree< _Key, _Value >

## Detailed Description

template<typename _Key, typename _Value>
class mdds::point_quad_tree< _Key, _Value >::node_access

Node wrapper to allow read-only access to the internal quad node structure.